View Issue Details

IDProjectCategoryView StatusLast Update
0002301FreeCADBugpublic2015-11-28 13:03
ReporterjmaustpcAssigned Toeivindkvedalen 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platform64bitOSKubuntuOS Version14.04
Product Version0.16 
Target Version0.16Fixed in Version0.16 
Summary0002301: Spreadsheet Tab button behaviour inconsistent
DescriptionIf you enter a value in a spreadsheet cell then press Tab key board button the value is accepted, then selection moves to the next cell down, in other situations Tab moves the cell selection to the next cell to the right or backwards tab, the selection moves left.
Steps To ReproduceIf you enter a value in a spreadsheet cell then press Tab key board button the value is accepted, then selection moves to the next cell down, has the same effect as enter key however press tab again and selection moves to the next cell to the right. Also, as you would expect, if you just select a cell (default, it goes blue) then use tab or backward tab, the selection moves right and left.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

FreeCAD: master b7480210

2015-11-08 11:15:20

Eivind Kvedalen


Committer: wmayer Details Diff
Spreadsheet: Issue 0002301: Handle enter/return and tab keys the same as e.g OpenOffice and Excel. Affected Issues
0002301
mod - src/Mod/Spreadsheet/Gui/CMakeLists.txt Diff File
add - src/Mod/Spreadsheet/Gui/LineEdit.cpp Diff File
add - src/Mod/Spreadsheet/Gui/LineEdit.h Diff File
mod - src/Mod/Spreadsheet/Gui/Sheet.ui Diff File
mod - src/Mod/Spreadsheet/Gui/SheetModel.cpp Diff File
mod - src/Mod/Spreadsheet/Gui/SheetTableView.cpp Diff File
mod - src/Mod/Spreadsheet/Gui/SheetTableView.h Diff File
mod - src/Mod/Spreadsheet/Gui/SpreadsheetDelegate.cpp Diff File
mod - src/Mod/Spreadsheet/Gui/SpreadsheetView.cpp Diff File

Issue History

Date Modified Username Field Change
2015-10-15 14:28 jmaustpc New Issue
2015-10-15 15:31 jmaustpc Assigned To => eivindkvedalen
2015-10-15 15:31 jmaustpc Status new => assigned
2015-11-28 12:05 wmayer Changeset attached => FreeCAD Master master b7480210
2015-11-28 13:03 wmayer Status assigned => closed
2015-11-28 13:03 wmayer Resolution open => fixed
2015-11-28 13:03 wmayer Fixed in Version => 0.16